nn.pp.rccore

## Enum RCCore.MouseMode

- java.lang.Object
- - java.lang.Enum<RCCore.MouseMode>
  - - nn.pp.rccore.RCCore.MouseMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.MouseMode>
  Enclosing interface:
    RCCore

      public static enum RCCore.MouseMode
      extends java.lang.Enum<RCCore.MouseMode>

  Enumeration for different Mouse modes supported

  Mouse pointer synchronization is an important problem with KVM switches. To keep the mouse pointers synchronous, the selection of a mouse mode may be necessary.

  See Also:
    `RCCore.getMouseMode()`, `RCCore.setMouseMode(RCCore.MouseMode)`, `RCCore.getSupportedMouseModes()`, `MouseModeListener.supportedMouseModesChanged(List)`, `MouseModeListener.mouseModeChanged(RCCore.MouseMode)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` Absolute mouse mode
    `AUTOMATIC` Automatic mouse synchronization mode
    `STANDARD` Standard mouse mode

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.MouseMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.MouseMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABSOLUTE

          public static final RCCore.MouseMode ABSOLUTE

      Absolute mouse mode

      This emulates a USB mouse submitting absolute coordinates. This mouse mode will keep the mouse pointers always in sync. However, not all target operating system support that.

      An USB CIM is necessary to support this mouse mode and the selected USB profile (see `IUsbProfile`) must support it.

    - #### AUTOMATIC

          public static final RCCore.MouseMode AUTOMATIC

      Automatic mouse synchronization mode

      In this mode, the KX tries to automatically detect the mouse pointer acceleration setting on the target. This works for many systems, but there are situations where this fails. See the documentation for further details.

    - #### STANDARD

          public static final RCCore.MouseMode STANDARD

      Standard mouse mode

      There is no translation between local and target mouse coordinates. The client mouse movements will be sent to the target 1:1.

  - ### Method Detail

    - #### values

          public static RCCore.MouseMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.MouseMode c : RCCore.MouseMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.MouseMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.